| Kea 3.0.2-git

config_ctl_info.h File Reference
`#include <cc/cfg_to_element.h>`
`#include <database/database_connection.h>`
`#include <util/optional.h>`
`#include <boost/shared_ptr.hpp>`
`#include <stdint.h>`
`#include <vector>`
Include dependency graph for config_ctl_info.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::process::ConfigControlInfo
| Embodies configuration information used during a server's configuration process. More...
class | isc::process::ConfigDbInfo
| Provides configuration information used during a server's configuration process. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::process

## Typedefs
typedef boost::shared_ptr< ConfigControlInfo > | isc::process::ConfigControlInfoPtr
| Defines a pointer to a ConfigControlInfo.
typedef std::vector< ConfigDbInfo > | isc::process::ConfigDbInfoList
typedef boost::shared_ptr< const ConfigControlInfo > | isc::process::ConstConfigControlInfoPtr
| Defines a pointer to a const ConfigControlInfo.